Template Numerical Library: TNL::Solvers::Optimization::RMSProp< Vector, SolverMonitor > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Solvers::Optimization::RMSProp< Vector, SolverMonitor > Class Template Reference
Inheritance diagram for TNL::Solvers::Optimization::RMSProp< Vector, SolverMonitor >:
[legend]
Collaboration diagram for TNL::Solvers::Optimization::RMSProp< Vector, SolverMonitor >:
[legend]

## Public Types
using | DeviceType = typename Vector::DeviceType
using | IndexType = typename Vector::IndexType
using | RealType = typename Vector::RealType
using | VectorType = Vector
using | VectorView = typename Vector::ViewType
Public Types inherited from TNL::Solvers::IterativeSolver< Vector::RealType, Vector::IndexType, IterativeSolverMonitor< typename Vector::RealType > >
using | SolverMonitorType
| Type of an object used for monitoring of the convergence.

## Public Member Functions
const RealType & | getRelaxation () const
void | setRelaxation (const RealType &lambda)
bool | setup (const Config::ParameterContainer &parameters, const std::string &prefix="")
template<typename GradientGetter>
bool | solve (VectorView &w, GradientGetter &&getGradient)
Public Member Functions inherited from TNL::Solvers::IterativeSolver< Vector::RealType, Vector::IndexType, IterativeSolverMonitor< typename Vector::RealType > >
| IterativeSolver ()=default
| Default constructor.
virtual bool | checkConvergence () const
| Checks whether the convergence occurred already.
virtual bool | checkNextIteration () const
| Checks if the solver is allowed to do the next iteration.
const Vector::RealType & | getConvergenceResidue () const
| Gets the threshold for convergence based on residue.
const Vector::RealType & | getDivergenceResidue () const
| Gets the threshold for divergence based on residue.
const Vector::IndexType & | getIterations () const
| Gets the number of iterations performed by the solver so far.
const Vector::IndexType & | getMaxIterations () const
| Gets the maximal number of iterations the solver is allowed to perform.
const Vector::IndexType & | getMinIterations () const
| Gets the minimal number of iterations the solver is supposed to do.
const Vector::RealType & | getResidue () const
| Gets the residue reached at the current iteration.
virtual bool | nextIteration ()
| Proceeds to the next iteration.
void | resetIterations ()
| Sets the the number of the current iterations to zero.
void | setConvergenceResidue (const Vector::RealType &convergenceResidue)
| Sets the threshold for convergence based on residue.
void | setDivergenceResidue (const Vector::RealType &divergenceResidue)
| Sets the threshold for divergence based on residue.
void | setMaxIterations (const Vector::IndexType &maxIterations)
| Sets the maximal number of iterations the solver is allowed to perform.
void | setMinIterations (const Vector::IndexType &minIterations)
| Sets the minimal number of iterations the solver is supposed to do.
void | setRefreshRate (const Vector::IndexType &refreshRate)
| Sets the refresh rate (in milliseconds) for the solver monitor.
void | setResidue (const Vector::RealType &residue)
| Sets the residue reached at the current iteration.
void | setSolverMonitor (SolverMonitorType &solverMonitor)
| Sets the solver monitor object.
bool | setup (const Config::ParameterContainer &parameters, const std::string &prefix="")
| Method for setup of the iterative solver based on configuration parameters.

## Static Public Member Functions
static void | configSetup (Config::ConfigDescription &config, const std::string &prefix="")
Static Public Member Functions inherited from TNL::Solvers::IterativeSolver< Vector::RealType, Vector::IndexType, IterativeSolverMonitor< typename Vector::RealType > >
static void | configSetup (Config::ConfigDescription &config, const std::string &prefix="")
| This method defines configuration entries for setup of the iterative solver.

## Protected Attributes
VectorType | a
RealType | beta = 0.9
RealType | epsilon = 1.0e-8
VectorType | gradient
RealType | relaxation = 1.0
Protected Attributes inherited from TNL::Solvers::IterativeSolver< Vector::RealType, Vector::IndexType, IterativeSolverMonitor< typename Vector::RealType > >
Vector::RealType | convergenceResidue
Vector::IndexType | currentIteration
Vector::RealType | currentResidue
Vector::RealType | divergenceResidue
Vector::IndexType | maxIterations
Vector::IndexType | minIterations
Vector::IndexType | refreshRate
std::ofstream | residualHistoryFile
std::string | residualHistoryFileName
IterativeSolverMonitor< typename Vector::RealType > * | solverMonitor

The documentation for this class was generated from the following file:

- src/TNL/Solvers/Optimization/RMSProp.h